Upstream information

CVE-2019-1551 at MITRE

Description

There is an overflow bug in the x64_64 Montgomery squaring procedure used in exponentiation with 512-bit moduli. No EC algorithms are affected. Analysis suggests that attacks against 2-prime RSA1024, 3-prime RSA1536, and DSA1024 as a result of this defect would be very difficult to perform and are not believed likely. Attacks against DH512 are considered just feasible. However, for an attack the target would have to re-use the DH512 private key, which is not recommended anyway. Also applications directly using the low level API BN_mod_exp may be affected if they use BN_FLG_CONSTTIME. Fixed in OpenSSL 1.1.1e-dev (Affected 1.1.1-1.1.1d). Fixed in OpenSSL 1.0.2u-dev (Affected 1.0.2-1.0.2t).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1158809 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
HPE-Helion-OpenStack-8-2020-474
SUSE CaaS Platform 3.0
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
Patchnames:
SUSE-CAASP-3.0-2020-474
SUSE Enterprise Storage 5
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-Storage-5-2020-474
SUSE Enterprise Storage 6
  • libopenssl1_0_0 >= 1.0.2p-3.25.1
  • openssl-1_0_0 >= 1.0.2p-3.25.1
Patchnames:
SUSE-Storage-6-2020-64
SUSE Linux Enterprise Desktop 12 SP4
  • libopenssl-1_0_0-devel >= 1.0.2p-3.14.1
  • libopenssl1_0_0 >= 1.0.2p-3.14.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.14.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.14.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2020-28
SUSE-SLE-DESKTOP-12-SP4-2020-99
SUSE Linux Enterprise Module for Basesystem 15
  • libopenssl-1_1-devel >= 1.1.0i-4.27.1
  • libopenssl1_1 >= 1.1.0i-4.27.1
  • libopenssl1_1-32bit >= 1.1.0i-4.27.1
  • libopenssl1_1-hmac >= 1.1.0i-4.27.1
  • libopenssl1_1-hmac-32bit >= 1.1.0i-4.27.1
  • openssl-1_1 >= 1.1.0i-4.27.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2020-2
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libopenssl-1_1-devel >= 1.1.0i-14.6.1
  • libopenssl1_1 >= 1.1.0i-14.6.1
  • libopenssl1_1-32bit >= 1.1.0i-14.6.1
  • libopenssl1_1-hmac >= 1.1.0i-14.6.1
  • libopenssl1_1-hmac-32bit >= 1.1.0i-14.6.1
  • openssl-1_1 >= 1.1.0i-14.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-69
SUSE Linux Enterprise Module for Legacy Software 15
  • libopenssl-1_0_0-devel >= 1.0.2p-3.25.1
  • libopenssl1_0_0 >= 1.0.2p-3.25.1
  • openssl-1_0_0 >= 1.0.2p-3.25.1
Patchnames:
SUSE-SLE-Module-Legacy-15-2020-64
SUSE Linux Enterprise Module for Legacy Software 15 SP1
  • libopenssl-1_0_0-devel >= 1.0.2p-3.25.1
  • libopenssl1_0_0 >= 1.0.2p-3.25.1
  • openssl-1_0_0 >= 1.0.2p-3.25.1
Patchnames:
SUSE-SLE-Module-Legacy-15-SP1-2020-64
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libopenssl-1_1-devel-32bit >= 1.1.0i-4.27.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.25.1
  • libopenssl1_0_0-steam >= 1.0.2p-3.25.1
  • openssl-1_0_0 >= 1.0.2p-3.25.1
  • openssl-1_0_0-cavs >= 1.0.2p-3.25.1
  • openssl-1_0_0-doc >= 1.0.2p-3.25.1
  • openssl-1_1 >= 1.1.0i-4.27.1
  • openssl-1_1-doc >= 1.1.0i-4.27.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2020-2
SUSE-SLE-Module-Development-Tools-OBS-15-2020-64
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libopenssl-1_0_0-devel-32bit >= 1.0.2p-3.25.1
  • libopenssl-1_1-devel-32bit >= 1.1.0i-14.6.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.25.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.25.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.25.1
  • libopenssl1_0_0-steam >= 1.0.2p-3.25.1
  • libopenssl1_0_0-steam-32bit >= 1.0.2p-3.25.1
  • openssl-1_0_0 >= 1.0.2p-3.25.1
  • openssl-1_0_0-cavs >= 1.0.2p-3.25.1
  • openssl-1_0_0-doc >= 1.0.2p-3.25.1
  • openssl-1_1 >= 1.1.0i-14.6.1
  • openssl-1_1-doc >= 1.1.0i-14.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-64
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-69
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-474
SUSE Linux Enterprise Server 12 SP2-BCL
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-474
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-474
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-474
SUSE Linux Enterprise Server 12 SP3-BCL
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-474
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-474
SUSE Linux Enterprise Server 12 SP3-LTSS
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-474
SUSE Linux Enterprise Server 12 SP4
  • libopenssl-1_0_0-devel >= 1.0.2p-3.14.1
  • libopenssl1_0_0 >= 1.0.2p-3.14.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.14.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.14.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.14.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.14.1
  • openssl-1_0_0-doc >= 1.0.2p-3.14.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-28
SUSE-SLE-SERVER-12-SP4-2020-99
SUSE Linux Enterprise Server 12 SP5
  • libopenssl-1_0_0-devel >= 1.0.2p-3.14.1
  • libopenssl1_0_0 >= 1.0.2p-3.14.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.14.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.14.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.14.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.14.1
  • openssl-1_0_0-doc >= 1.0.2p-3.14.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-28
SUSE-SLE-SERVER-12-SP5-2020-99
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-474
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-474
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-474
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-474
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-474
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-474
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-474
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-474
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libopenssl-1_0_0-devel >= 1.0.2p-3.14.1
  • libopenssl1_0_0 >= 1.0.2p-3.14.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.14.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.14.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.14.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.14.1
  • openssl-1_0_0-doc >= 1.0.2p-3.14.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-28
SUSE-SLE-SERVER-12-SP4-2020-99
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libopenssl-1_0_0-devel >= 1.0.2p-3.14.1
  • libopenssl1_0_0 >= 1.0.2p-3.14.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.14.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.14.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.14.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.14.1
  • openssl-1_0_0-doc >= 1.0.2p-3.14.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-28
SUSE-SLE-SERVER-12-SP5-2020-99
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libopenssl-1_0_0-devel >= 1.0.2p-3.14.1
  • libopenssl-1_1-devel >= 1.1.1d-2.20.1
  • libopenssl-1_1-devel-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.14.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-28
SUSE-SLE-SDK-12-SP4-2020-99
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libopenssl-1_0_0-devel >= 1.0.2p-3.14.1
  • libopenssl-1_1-devel >= 1.1.1d-2.20.1
  • libopenssl-1_1-devel-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.14.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-28
SUSE-SLE-SDK-12-SP5-2020-99
SUSE OpenStack Cloud 7
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-474
SUSE OpenStack Cloud 8
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-474
SUSE OpenStack Cloud Crowbar 8
  • libopenssl-devel >= 1.0.2j-60.60.1
  • libopenssl1_0_0 >= 1.0.2j-60.60.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.60.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.60.1
  • openssl >= 1.0.2j-60.60.1
  • openssl-doc >= 1.0.2j-60.60.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-474
openSUSE Leap 15.1
  • libopenssl-1_0_0-devel >= 1.0.2p-lp151.5.13.1
  • libopenssl-1_0_0-devel-32bit >= 1.0.2p-lp151.5.13.1
  • libopenssl-1_1-devel >= 1.1.0i-lp151.8.6.1
  • libopenssl-1_1-devel-32bit >= 1.1.0i-lp151.8.6.1
  • libopenssl1_0_0 >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-32bit >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-32bit-debuginfo >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-debuginfo >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-hmac >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-steam >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-steam-32bit >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-steam-32bit-debuginfo >= 1.0.2p-lp151.5.13.1
  • libopenssl1_0_0-steam-debuginfo >= 1.0.2p-lp151.5.13.1
  • libopenssl1_1 >= 1.1.0i-lp151.8.6.1
  • libopenssl1_1-32bit >= 1.1.0i-lp151.8.6.1
  • libopenssl1_1-32bit-debuginfo >= 1.1.0i-lp151.8.6.1
  • libopenssl1_1-debuginfo >= 1.1.0i-lp151.8.6.1
  • libopenssl1_1-hmac >= 1.1.0i-lp151.8.6.1
  • libopenssl1_1-hmac-32bit >= 1.1.0i-lp151.8.6.1
  • openssl-1_0_0 >= 1.0.2p-lp151.5.13.1
  • openssl-1_0_0-cavs >= 1.0.2p-lp151.5.13.1
  • openssl-1_0_0-cavs-debuginfo >= 1.0.2p-lp151.5.13.1
  • openssl-1_0_0-debuginfo >= 1.0.2p-lp151.5.13.1
  • openssl-1_0_0-debugsource >= 1.0.2p-lp151.5.13.1
  • openssl-1_0_0-doc >= 1.0.2p-lp151.5.13.1
  • openssl-1_1 >= 1.1.0i-lp151.8.6.1
  • openssl-1_1-debuginfo >= 1.1.0i-lp151.8.6.1
  • openssl-1_1-debugsource >= 1.1.0i-lp151.8.6.1
  • openssl-1_1-doc >= 1.1.0i-lp151.8.6.1
Patchnames:
openSUSE-2020-61
openSUSE-2020-62


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 openssl Affected
CaaS Platform 2.0 openssl Affected
CaaS Platform 3.0 openssl Released
OpenStack Cloud Magnum Orchestration 7.0 openssl Affected
SUSE Business Critical Linux 12 SP2 openssl Released
SUSE Business Critical Linux 12 SP3 openssl Released
SUSE Linux Enterprise 10 SP2 openssl Not affected
SUSE Linux Enterprise Desktop 10 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 10 SP3 openssl Not affected
SUSE Linux Enterprise Desktop 10 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 10 SP4 openssl Not affected
SUSE Linux Enterprise Desktop 11 GA compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 GA openssl Not affected
SUSE Linux Enterprise Desktop 11 SP1 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 SP1 openssl Not affected
SUSE Linux Enterprise Desktop 11 SP2 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 SP2 openssl Not affected
SUSE Linux Enterprise Desktop 11 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 SP3 openssl Not affected
SUSE Linux Enterprise Desktop 11 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 SP4 openssl Not affected
SUSE Linux Enterprise Desktop 12 GA compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 GA openssl Not affected
SUSE Linux Enterprise Desktop 12 SP1 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP1 openssl Not affected
SUSE Linux Enterprise Desktop 12 SP2 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP2 openssl Affected
SUSE Linux Enterprise Desktop 12 SP3 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP3 openssl Affected
SUSE Linux Enterprise Desktop 12 SP4 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP4 openssl Not affected
SUSE Linux Enterprise Desktop 12 SP4 openssl-1_0_0 Released
SUSE Linux Enterprise Desktop 12 SP4 openssl-1_1 Released
SUSE Linux Enterprise High Performance Computing 12 openssl Not affected
SUSE Linux Enterprise High Performance Computing 12 openssl-1_0_0 Released
SUSE Linux Enterprise High Performance Computing 12 openssl-1_1 Released
SUSE Linux Enterprise Module for Basesystem 15 GA openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA openssl-1_1 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 openssl-1_1 Released
SUSE Linux Enterprise Module for Legacy Software 12 compat-openssl098 Not affected
SUSE Linux Enterprise Module for Legacy Software 15 openssl-1_0_0 Released
SUSE Linux Enterprise SDK 11 GA openssl Not affected
SUSE Linux Enterprise SDK 11 SP1 openssl Not affected
SUSE Linux Enterprise SDK 11 SP2 openssl Not affected
SUSE Linux Enterprise SDK 11 SP3 openssl Not affected
SUSE Linux Enterprise SDK 11 SP4 openssl Not affected
SUSE Linux Enterprise SDK 12 GA openssl Not affected
SUSE Linux Enterprise SDK 12 SP1 openssl Not affected
SUSE Linux Enterprise SDK 12 SP2 openssl Affected
SUSE Linux Enterprise SDK 12 SP3 openssl Affected
SUSE Linux Enterprise SDK 12 SP4 openssl Not affected
SUSE Linux Enterprise SDK 12 SP4 openssl-1_0_0 Released
SUSE Linux Enterprise SDK 12 SP4 openssl-1_1 Released
SUSE Linux Enterprise SDK 12 SP5 openssl Not affected
SUSE Linux Enterprise SDK 12 SP5 openssl-1_0_0 Released
SUSE Linux Enterprise SDK 12 SP5 openssl-1_1 Released
SUSE Linux Enterprise Server 10 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Server 10 SP3 openssl Not affected
SUSE Linux Enterprise Server 10 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Server 10 SP4 openssl Not affected
SUSE Linux Enterprise Server 10 SP4 LTSS compat-openssl097g Not affected
SUSE Linux Enterprise Server 10 SP4 LTSS openssl Not affected
SUSE Linux Enterprise Server 11 GA openssl Not affected
SUSE Linux Enterprise Server 11 SP1 openssl Not affected
SUSE Linux Enterprise Server 11 SP1 LTSS openssl Not affected
SUSE Linux Enterprise Server 11 SP2 openssl Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS openssl Not affected
SUSE Linux Enterprise Server 11 SP3 openssl Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS openssl Not affected
SUSE Linux Enterprise Server 11 SP4 openssl Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS openssl Not affected
SUSE Linux Enterprise Server 11-SECURITY openssl1 Not affected
SUSE Linux Enterprise Server 12 GA openssl Not affected
SUSE Linux Enterprise Server 12 GA LTSS openssl Not affected
SUSE Linux Enterprise Server 12 SP1 openssl Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS openssl Not affected
SUSE Linux Enterprise Server 12 SP2 openssl Affected
SUSE Linux Enterprise Server 12 SP2 LTSS openssl Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI openssl Affected
SUSE Linux Enterprise Server 12 SP3 openssl Affected
SUSE Linux Enterprise Server 12 SP3 LTSS openssl Released
SUSE Linux Enterprise Server 12 SP4 openssl Not affected
SUSE Linux Enterprise Server 12 SP4 openssl-1_0_0 Released
SUSE Linux Enterprise Server 12 SP4 openssl-1_1 Released
SUSE Linux Enterprise Server 12 SP5 openssl Not affected
SUSE Linux Enterprise Server 12 SP5 openssl-1_0_0 Released
SUSE Linux Enterprise Server 12 SP5 openssl-1_1 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openssl Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openssl Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl-1_0_0 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl-1_1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssl-1_0_0 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssl-1_1 Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP ES 11 SP1 openssl Not affected
SUSE Linux Enterprise Server for VMWare 11 SP2 openssl Not affected
SUSE Linux Enterprise Server for VMWare 11 SP3 openssl Not affected
SUSE Linux Enterprise Tools for SUSE Manager 10 SP3 openssl Not affected
SUSE Storage 6 openssl-1_0_0 Released
SUSE Studio Onsite 1.3 openssl Not affected